Bug 169644 - Add support for RTCPeerConnection.onicecandidateerror event
Summary: Add support for RTCPeerConnection.onicecandidateerror event
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on: 173118
Blocks: 169662
  Show dependency treegraph
 
Reported: 2017-03-14 16:51 PDT by Jon Lee
Modified: 2020-11-20 03:06 PST (History)
20 users (show)

See Also:


Attachments
Patch (25.64 KB, patch)
2020-11-19 06:53 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (27.31 KB, patch)
2020-11-19 08:21 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (38.84 KB, patch)
2020-11-19 11:24 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (38.86 KB, patch)
2020-11-20 00:33 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (38.86 KB, patch)
2020-11-20 01:07 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2017-03-14 16:51:36 PDT
Update RTCPeerConnection IDL
Comment 1 youenn fablet 2020-11-19 06:53:26 PST
Created attachment 414574 [details]
Patch
Comment 2 youenn fablet 2020-11-19 08:21:38 PST
Created attachment 414582 [details]
Patch
Comment 3 youenn fablet 2020-11-19 11:24:51 PST
Created attachment 414605 [details]
Patch
Comment 4 Alex Christensen 2020-11-19 11:50:20 PST
Comment on attachment 414605 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=414605&action=review

> Source/WebCore/Modules/mediastream/RTCPeerConnection.cpp:357
> +                if (url.path().endsWithIgnoringASCIICase(".local") || !portAllowed(url)) {

It seems strange to me to be using path for host-like things here, but that's how it works.

> Source/WebCore/Modules/mediastream/RTCPeerConnectionIceErrorEvent.h:46
> +        uint16_t errorCode;

May as well add { 0 } to prevent use of uninitialized memory.

> Source/WebCore/Modules/mediastream/RTCPeerConnectionIceErrorEvent.h:67
> +    uint16_t m_errorCode;

ditto
Comment 5 youenn fablet 2020-11-20 00:31:05 PST
Thanks for the review.

(In reply to Alex Christensen from comment #4)
> Comment on attachment 414605 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=414605&action=review
> 
> > Source/WebCore/Modules/mediastream/RTCPeerConnection.cpp:357
> > +                if (url.path().endsWithIgnoringASCIICase(".local") || !portAllowed(url)) {
> 
> It seems strange to me to be using path for host-like things here, but
> that's how it works.

Right, though the good thing is that we do not start thinking this URL has an origin.

> > Source/WebCore/Modules/mediastream/RTCPeerConnectionIceErrorEvent.h:46
> > +        uint16_t errorCode;
> 
> May as well add { 0 } to prevent use of uninitialized memory.
> 
> > Source/WebCore/Modules/mediastream/RTCPeerConnectionIceErrorEvent.h:67
> > +    uint16_t m_errorCode;
> 
> ditto

OK
Comment 6 youenn fablet 2020-11-20 00:33:41 PST
Created attachment 414657 [details]
Patch for landing
Comment 7 EWS 2020-11-20 00:47:40 PST
ChangeLog entry in LayoutTests/imported/w3c/ChangeLog contains OOPS!.
Comment 8 youenn fablet 2020-11-20 01:07:51 PST
Created attachment 414662 [details]
Patch for landing
Comment 9 EWS 2020-11-20 03:05:56 PST
Committed r270101: <https://trac.webkit.org/changeset/270101>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414662 [details].
Comment 10 Radar WebKit Bug Importer 2020-11-20 03:06:22 PST
<rdar://problem/71621717>